## ipmctl 03.00.00.0423

=== CMakeLists.txt ===
# Copyright (c) 2018, Intel Corporation.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 2.8.12)

message("cmake version: " ${CMAKE_VERSION})

project(ipmctl)

# Enable tests that may be contained in the below subdirectories
enable_testing()

set(CMAKE_VERBOSE_MAKEFILE on)

get_filename_component(ROOT ./ ABSOLUTE)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/CMake/Find")

set(LIBIPMCTL_VERSION_MAJOR 5)
set(LIBIPMCTL_VERSION_MINOR 2)
set(LIBIPMCTL_VERSION_PATCH 0)
set(LIBIPMCTL_VERSION_STRING ${LIBIPMCTL_VERSION_MAJOR}.${LIBIPMCTL_VERSION_MINOR}.${LIBIPMCTL_VERSION_PATCH})

set(IPMCTL_VERSION_MAJOR 03)
set(IPMCTL_VERSION_MINOR 01)
set(IPMCTL_VERSION_PATCH 00)

set(IPMCTL_SPEC_VERSION_MAJOR 3)
set(IPMCTL_SPEC_VERSION_MINOR 03)
set(IPMCTL_DRAFT "")
set(IPMCTL_SPEC_VERSION_STRING ${IPMCTL_SPEC_VERSION_MAJOR}.${IPMCTL_SPEC_VERSION_MINOR}${IPMCTL_DRAFT})

if(BUILDNUM)
  set(IPMCTL_VERSION_STRING ${BUILDNUM})
else()
  find_package(Git)
  if(GIT_FOUND)
    execute_process(COMMAND ${GIT_EXECUTABLE} describe --tag --dirty
      OUTPUT_VARIABLE IPMCTL_VERSION_STRING
      RESULT_VARIABLE GIT_RETURN_CODE
      )
    # strip leading string in git tag
    string(REGEX MATCH "([0-9]+\\.[0-9]+\\.[0-9]+\\.[0-9]+)" IPMCTL_VERSION_STRING "${IPMCTL_VERSION_STRING}")
    # strip ending newline
    string(REGEX REPLACE "\n" "" IPMCTL_VERSION_STRING "${IPMCTL_VERSION_STRING}")
  endif()

  if(NOT GIT_FOUND OR ${GIT_RETURN_CODE})
    set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.0423)
  endif()
endif()

message(VERSION: ${IPMCTL_VERSION_STRING})

if(RELEASE OR CMAKE_BUILD_TYPE STREQUAL "Release")
  set(BUILD_TYPE release)
  set(CMAKE_BUILD_TYPE Release)
  SET(CMAKE_SKIP_BUILD_RPATH TRUE)
else()
  set(BUILD_TYPE debug)
  set(CMAKE_BUILD_TYPE Debug)
  add_definitions(
    -DDEBUG_BUILD
  )
endif()

message(CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE})

if(BUILD_STATIC)
  set(LIB_TYPE STATIC)
else()
  set(LIB_TYPE SHARED)
endif()

find_package(PythonInterp REQUIRED)

if(ESX_BUILD)
  set(OS_TYPE esx)
  set(FILE_PREFIX esx)
  set(CMAKE_SKIP_BUILD_RPATH FALSE)
  set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
  set(CMAKE_INSTALL_RPATH "/opt/intel/bin")

else()
  ## Common packages between Windows and Linux

  # Optional packages for documentation
  ## Unfortunately it sounds like we can't do conditional inclusion
  ## based on the target selected.
  find_package(a2x)
  find_package(asciidoctor)
  find_package(asciidoc)

  if(UNIX)
    set(LNX_BUILD 1)
    set(OS_TYPE linux)
    set(FILE_PREFIX lnx)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(NDCTL REQUIRED libndctl>=58.2)
    pkg_check_modules(SYSTEMD systemd)
    find_package(Threads REQUIRED)
  elseif(MSVC)
    set(WIN_BUILD 1)
    set(OS_TYPE win)
    set(FILE_PREFIX win)
  endif()
endif()

message(BUILD_TYPE: ${CMAKE_BUILD_TYPE})
message(OS_TYPE: ${OS_TYPE})
message(LIB_TYPE: ${LIB_TYPE})
message(COMPILER: ${CMAKE_C_COMPILER})
message(SYSROOT: ${MY_CMAKE_SYSROOT})
message(TOOLCHAIN: ${CMAKE_TOOLCHAIN_FILE})

set(OUTPUT_DIR ${ROOT}/output/${BUILD_TYPE})
file(MAKE_DIRECTORY ${OUTPUT_DIR})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${ROOT}/output/${BUILD_TYPE})
set(CMAKE_BINARY_DIR ${OUTPUT_DIR})
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

if(INTERNAL_MFG)
        include(CMake/mfg.cmake)
endif()

#----------------------------------------------------------------------------------------------------
# Project wide defines and flags
#----------------------------------------------------------------------------------------------------
add_definitions(
  -DOS_BUILD
  -DPCD_CACHE_ENABLED
  -D__VERSION_NUMBER__=${IPMCTL_VERSION_STRING}
  -DPLAYBACK_RECORD_SUPPORTED
  )

# Promote warnings to errors only for release builds
if(MSVC)
  set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /O2 /WX")
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /O2 /WX")
  set(CMAKE_C_FLAGS_DEBUG_ "${CMAKE_C_FLAGS_DEBUG} /Od")
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /Od")
else()
  set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -O2 -fno-strict-aliasing -D_FORTIFY_SOURCE=2")
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O2 -fno-strict-aliasing -D_FORTIFY_SOURCE=2")
  if(LNX_BUILD)
    #A few warnings yet to resolve under esx
    set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -Werror")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Werror")
  endif()
  set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -ggdb")
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -ggdb")
endif()

if(UNIX)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DNO_MSABI_VA_FUNCS -std=c99 -Wformat -Wformat-security -D_XOPEN_SOURCE=500 -Wall -Wfatal-errors -MMD -fPIC -fno-strict-aliasing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wformat -Wformat-security -D_XOPEN_SOURCE=500 -Drestrict=__restrict__ -Wall -Wfatal-errors -MMD -fPIC -fno-strict-aliasing")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z noexecstack -z relro -z now -pie")
elseif(MSVC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /GS /DynamicBase /sdl")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /GS /DynamicBase /sdl")
  set(CMAKE_SHARED_LINKER_FLAGS "/NXCompat")
endif()

if(LNX_BUILD)
  if("${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "/usr/share")
    # Workaround for the RPM build cause the %{_datarootdir} is already prefixed
    set(INI_INSTALL_FILEPATH "${CMAKE_INSTALL_DATAROOTDIR}")
  else()
    if("${CMAKE_INSTALL_PREFIX}" STREQUAL "/")
      # In case the CMAKE_INSTALL_PREFIX equals "/" for <dir> other than the SYSCONFDIR and LOCALSTATEDIR,
      # the value of CMAKE_INSTALL_<dir> is prefixed with usr/ if it is not user-specified as an absolute path.
      set(CMAKE_INSTALL_PREFIX "/usr")
      message("CMAKE_INSTALL_PREFIX value changed to: ${CMAKE_INSTALL_PREFIX}")
    endif()
    if(NOT DEFINED CMAKE_INSTALL_DATAROOTDIR)
      set(CMAKE_INSTALL_DATAROOTDIR "share")
      message("CMAKE_INSTALL_DATAROOTDIR not defined. Creating a new definition with value: ${CMAKE_INSTALL_DATAROOTDIR}")
    endif()
    set(INI_INSTALL_FILEPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}")
  endif()
  message("INI_INSTALL_FILEPATH definition create with value: ${INI_INSTALL_FILEPATH}")
  add_definitions(
    -D_GNU_SOURCE
    -D__LINUX__
    -DHAVE_C99
    -DINI_INSTALL_FILEPATH="${INI_INSTALL_FILEPATH}/ipmctl/"
    )
  if(CMAKE_C_COMPILER_ID STREQUAL "GNU" AND CMAKE_C_COMPILER_VERSION VERSION_GREATER 4.9)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-strong")
  endif()
  if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.9)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong")
  endif()
endif()

if(MSVC)
  if(VCREDIST_STATIC)
    # Force vcredist to be linked static
    # Keep this after all other compiler flag setup
    set(CompilerFlags
        CMAKE_CXX_FLAGS
        CMAKE_CXX_FLAGS_DEBUG
        CMAKE_CXX_FLAGS_RELEASE
        CMAKE_CXX_FLAGS_RELWITHDEBINFO
        CMAKE_C_FLAGS
        CMAKE_C_FLAGS_DEBUG
        CMAKE_C_FLAGS_RELEASE
        CMAKE_C_FLAGS_RELWITHDEBINFO
        )
    foreach(CompilerFlag ${CompilerFlags})
      string(REPLACE "/MD" "/MT" ${CompilerFlag} "${${CompilerFlag}}")
    endforeach()
    message("VCREDIST: STATIC")
  else()
    message("VCREDIST: SHARED")
  endif()
endif()

#----------------------------------------------------------------------------------------------------
# OS driver interface library
#----------------------------------------------------------------------------------------------------
if(MSVC)

  # setup resource file for file details
  string(REGEX REPLACE "[.]" "," IPMCTL_VERSION_COMMA_STRING "${IPMCTL_VERSION_STRING}")

  # exe
  set (NAME_RC ${CMAKE_PROJECT_NAME})
  set (NAME_RC_EXT "${NAME_RC}.exe")
  set (VFT_TYPE "VFT_APP")
  configure_file(src/os/win/ipmctl.rc.in src/os/win/ipmctl.rc @ONLY)

  # lib
  set (NAME_RC "lib${CMAKE_PROJECT_NAME}")
  set (NAME_RC_EXT "${NAME_RC}.dll")
  set (VFT_TYPE "VFT_DLL")
  configure_file(src/os/win/ipmctl.rc.in src/os/win/libipmctl.rc @ONLY)

  FILE(GLOB OS_INTERFACE_SOURCE_FILES
    src/os/os_str.c
    src/os/os_common.c
    src/os/win/win_scm2_ioctl.c
    src/os/win/win_scm2_passthrough.c
    src/os/win/win_scm2_ioctl_passthrough.c
    src/os/win/win_common.c
    src/os/win/win_api.c
    src/os/win/win_scm2_adapter.c
    src/os/win/win_system.c
    )
elseif(UNIX)
  FILE(GLOB OS_INTERFACE_SOURCE_FILES
    src/os/os_str.c
    src/os/os_common.c
    src/os/${OS_TYPE}/${FILE_PREFIX}_adapter_passthrough.c
    src/os/${OS_TYPE}/${FILE_PREFIX}_acpi.c
    src/os/${OS_TYPE}/${FILE_PREFIX}_common.c
    src/os/${OS_TYPE}/${FILE_PREFIX}_api.c
    src/os/${OS_TYPE}/${FILE_PREFIX}_adapter.c
    src/os/${OS_TYPE}/${FILE_PREFIX}_system.c
    )
endif()

add_library(ipmctl_os_interface STATIC ${OS_INTERFACE_SOURCE_FILES})

target_link_libraries(ipmctl_os_interface
  ${CMAKE_THREAD_LIBS_INIT}
  )

target_include_directories(ipmctl_os_interface PUBLIC
  src/os
  src/os/${OS_TYPE}
  DcpmPkg/common
  DcpmPkg/cli
  src/os/nvm_api
  src/os/s_string
  MdePkg/Include
  MdePkg/Include/Uefi
  src/os/efi_shim
  )

if (MSVC)
  string(REGEX REPLACE "([0-9]+)\\.[0-9]+\\.[0-9]+\\.[0-9]+" "\\1" sdk_version_major $ENV{WindowsSDKVersion})
  string(REGEX REPLACE "[0-9]+\\.([0-9]+)\\.[0-9]+\\.[0-9]+" "\\1" sdk_version_major2 $ENV{WindowsSDKVersion})
  string(REGEX REPLACE "[0-9]+\\.[0-9]+\\.([0-9]+)\\.[0-9]+" "\\1" sdk_version_minor $ENV{WindowsSDKVersion})
  if (${sdk_version_major} GREATER 9 AND ${sdk_version_minor} GREATER 17650)
    MESSAGE("Using Windows SDK 17650+")
  else()
    MESSAGE(FATAL_ERROR "Requires Windows SDK version 17650 or newer.")
  endif()
endif()

#----------------------------------------------------------------------------------------------------
# libipmctl
#----------------------------------------------------------------------------------------------------
file(GLOB LIBIPMCTL_SOURCE_FILES
  src/os/efi_shim/AutoGen.c
  src/os/efi_shim/AutoGenIo.c
  src/os/efi_shim/os_efi_api.c
  src/os/efi_shim/os_efi_api_io.c
  src/os/efi_shim/os_efi_preferences.c
  src/os/efi_shim/os_efi_shell_parameters_protocol.c
  src/os/efi_shim/os_efi_simple_file_protocol.c
  src/os/efi_shim/os_efi_bs_protocol.c
  src/os/ini/ini.c
  src/os/eventlog/event.c
  src/os/nvm_api/nvm_management.c
  src/os/nvm_api/nvm_output_parsing.c
  src/os/s_string/s_str.c
  DcpmPkg/cli/NvmDimmCli.c
  DcpmPkg/cli/CommandParser.c
  DcpmPkg/cli/Common.c
  DcpmPkg/cli/ShowAcpiCommand.c
  DcpmPkg/cli/ShowSensorCommand.c
  DcpmPkg/cli/ShowDimmsCommand.c
  DcpmPkg/cli/ShowSocketsCommand.c
  DcpmPkg/cli/ShowMemoryResourcesCommand.c
  DcpmPkg/cli/ShowSystemCapabilitiesCommand.c
  DcpmPkg/cli/ShowFirmwareCommand.c
  DcpmPkg/cli/ShowPcdCommand.c
  DcpmPkg/cli/DeletePcdCommand.c
  DcpmPkg/cli/ShowRegionsCommand.c
  DcpmPkg/cli/CreateGoalCommand.c
  DcpmPkg/cli/ShowGoalCommand.c
  DcpmPkg/cli/DeleteGoalCommand.c
  DcpmPkg/cli/ShowErrorCommand.c
  DcpmPkg/cli/ShowCelCommand.c
  DcpmPkg/cli/DumpDebugCommand.c
  DcpmPkg/cli/StartDiagnosticCommand.c
  DcpmPkg/cli/ShowPreferencesCommand.c
  DcpmPkg/cli/ShowTopologyCommand.c
  DcpmPkg/cli/SetPreferencesCommand.c
  DcpmPkg/cli/SetSensorCommand.c
  DcpmPkg/cli/LoadGoalCommand.c
  DcpmPkg/cli/DumpGoalCommand.c
  DcpmPkg/cli/SetDimmCommand.c
  DcpmPkg/cli/LoadCommand.c
  DcpmPkg/cli/DeleteDimmCommand.c
  src/os/cli_cmds/DumpSupportCommand.c
  DcpmPkg/cli/ShowRegisterCommand.c
  DcpmPkg/cli/StartFormatCommand.c
  DcpmPkg/cli/ShowPerformanceCommand.c
  DcpmPkg/cli/ShowHostServerCommand.c
  DcpmPkg/cli/ShowCmdAccessPolicyCommand.c
  DcpmPkg/cli/StartSessionCommand.c
  DcpmPkg/cli/StopSessionCommand.c
  DcpmPkg/cli/LoadSessionCommand.c
  DcpmPkg/cli/ShowSessionCommand.c
  DcpmPkg/cli/DumpSessionCommand.c
  DcpmPkg/common/FwUtility.c

=== debian/changelog ===
ipmctl (03.00.00.0423-1~bpo20.04.1) focal-backports; urgency=medium

  * Backport to Focal (LP: #1968076)
  * Lower dh compat level to 12.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 06 Apr 2022 20:00:27 +0200

ipmctl (03.00.00.0423-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 07 Jan 2022 02:25:01 +0100

ipmctl (03.00.00.0421-2) experimental; urgency=medium

  * Move configuration and log pieces to a new binary package,
    libipmctl-common, to ease future upgrades.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 29 Dec 2021 16:41:03 +0100

ipmctl (03.00.00.0421-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 29 Dec 2021 16:27:33 +0100

ipmctl (03.00.00.0407-1) experimental; urgency=medium

  * Switch to the 3.0 branch.
  * No need to repack anymore
  * ... as edk2 bits are not in the upstream tarball, but need to be shipped
    separately.
  * Soname bump: libipmctl4→5.
  * Drop handling of upgrades from libipmctl3 (never part of a stable
    release).

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 10 Nov 2021 18:08:37 +0100

ipmctl (02.00.00.3885+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add a new symbol.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 17 Aug 2021 01:56:40 +0200

=== debian/control ===
Source: ipmctl
Section: admin
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper-compat (= 12),
               cmake,
               libndctl-dev,
               pkg-config,
               python3,
               asciidoctor
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/intel/ipmctl
Vcs-Browser: https://github.com/kilobyte/ipmctl/tree/debian
Vcs-Git: https://github.com/kilobyte/ipmctl -b debian

Package: ipmctl
Architecture: amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: utility for configuring and managing Intel Optane DC persistent memory modules
 This package provides a CLI with the following functionality:
  * Discover PMMs on the platform.
  * Provision the platform memory configuration.
  * View and update the firmware on PMMs.
  * Configure data-at-rest security on PMMs.
  * Monitor PMM health.
  * Track performance of PMMs.
  * Debug and troubleshoot PMMs.

Package: libipmctl-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: libipmctl3, libipmctl4, libipmctl5 (<< 03.00.00.0421-2~)
Replaces: libipmctl3, libipmctl4, libipmctl5 (<< 03.00.00.0421-2~)
Description: library for managing Intel Optane DC persistent memory modules
 This package provides an API for the following functionality:
  * Discover PMMs on the platform.
  * Provision the platform memory configuration.
  * View and update the firmware on PMMs.
  * Configure data-at-rest security on PMMs.
  * Monitor PMM health.
  * Track performance of PMMs.
  * Debug and troubleshoot PMMs
 .
 This package contains common conf files.

Package: libipmctl5
Section: libs
Architecture: amd64
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libipmctl-common,
Description: library for managing Intel Optane DC persistent memory modules
 This package provides an API for the following functionality:
  * Discover PMMs on the platform.
  * Provision the platform memory configuration.
  * View and update the firmware on PMMs.
  * Configure data-at-rest security on PMMs.
  * Monitor PMM health.
  * Track performance of PMMs.
  * Debug and troubleshoot PMMs
 .
 This package contains the runtime library.

Package: libipmctl-dev
Section: libdevel
Architecture: amd64
Multi-Arch: same
Depends: libipmctl5 (=${binary:Version}),
         ${misc:Depends}
Description: library for managing Intel Optane DC persistent memory modules - devel
 This package provides an API for the following functionality:
  * Discover PMMs on the platform.
  * Provision the platform memory configuration.
  * View and update the firmware on PMMs.
  * Configure data-at-rest security on PMMs.
  * Monitor PMM health.
  * Track performance of PMMs.
  * Debug and troubleshoot PMMs.
 .
 This package contains C development headers.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ipmctl-$1.tar.gz%" \
   https://github.com/intel/ipmctl/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ipmctl 03.00.00.0438

=== debian/changelog ===
ipmctl (03.00.00.0438-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 16 May 2022 09:38:46 +0200

ipmctl (03.00.00.0429-1) unstable; urgency=medium

  * New upstream bugfix release.
    + Includes not leaking private symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 07 Mar 2022 10:37:46 +0100

## ipmctl 03.00.00.0439

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
   endif()
 
   if(NOT GIT_FOUND OR ${GIT_RETURN_CODE})
-    set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.0423)
+    set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.0439)
   endif()
 endif()

=== debian/changelog ===
ipmctl (03.00.00.0439-1) unstable; urgency=medium

  * Fix FTBFS with kernel 5.18 headers (closes: #1013547)

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 29 Jun 2022 17:51:39 +0200

## ipmctl 03.00.00.0468

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
   endif()
 
   if(NOT GIT_FOUND OR ${GIT_RETURN_CODE})
-    set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.0439)
+    set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.0468)
   endif()
 endif()

=== debian/changelog ===
ipmctl (03.00.00.0468-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 26 Sep 2022 23:23:50 +0200

ipmctl (03.00.00.0462-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 29 Aug 2022 14:17:28 +0200

## ipmctl 03.00.00.0485

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
   endif()
 
   if(NOT GIT_FOUND OR ${GIT_RETURN_CODE})
-    set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.0468)
+    set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.0483)
   endif()
 endif()

=== Source/C/Makefile ===
## @file
# Windows makefile for C tools build.
#
# Copyright (c) 2009 - 2018, Intel Corporation. All rights reserved.<BR>
# SPDX-License-Identifier: BSD-2-Clause-Patent
#
HOST_ARCH = IA32

!INCLUDE Makefiles\ms.common

LIBRARIES = Common
APPLICATIONS = \
  VfrCompile \
  BrotliCompress \
  EfiRom \
  GenCrc32 \
  GenFfs \
  GenFv \
  GenFw \
  GenSec \
  LzmaCompress \
  TianoCompress \
  VolInfo \
  DevicePath

all: libs apps install

libs: $(LIBRARIES)
	@echo.
	@echo ######################
	@echo # Build libraries
	@echo ######################
	@if not exist $(LIB_PATH) mkdir $(LIB_PATH)
  @if defined PYTHON_COMMAND $(PYTHON_COMMAND) Makefiles\NmakeSubdirs.py all $**
  @if not defined PYTHON_COMMAND $(PYTHON_HOME)\python.exe Makefiles\NmakeSubdirs.py all $**

apps: $(APPLICATIONS)
	@echo.
	@echo ######################
	@echo # Build executables
	@echo ######################
	@if not exist $(BIN_PATH) mkdir $(BIN_PATH)
  @if defined PYTHON_COMMAND $(PYTHON_COMMAND) Makefiles\NmakeSubdirs.py all $**
  @if not defined PYTHON_COMMAND $(PYTHON_HOME)\python.exe Makefiles\NmakeSubdirs.py all $**

install: $(LIB_PATH) $(BIN_PATH)
	@echo.
	@echo ######################
	@echo # Install to $(SYS_LIB_PATH)
	@echo # Install to $(SYS_BIN_PATH)
	@echo ######################
	@-xcopy $(LIB_PATH)\*.lib $(SYS_LIB_PATH) /I /D /E /F /Y > NUL 2>&1
	@-xcopy $(BIN_PATH)\*.exe $(SYS_BIN_PATH) /I /D /E /F /Y > NUL 2>&1
  @-xcopy $(BIN_PATH)\*.bat $(SYS_BIN_PATH) /I /D /E /F /Y > NUL 2>&1

.PHONY: clean
clean:
  @if defined PYTHON_COMMAND $(PYTHON_COMMAND) Makefiles\NmakeSubdirs.py clean $(LIBRARIES) $(APPLICATIONS)
  @if not defined PYTHON_COMMAND $(PYTHON_HOME)\python.exe Makefiles\NmakeSubdirs.py clean $(LIBRARIES) $(APPLICATIONS)

.PHONY: cleanall
cleanall:
  @if defined PYTHON_COMMAND $(PYTHON_COMMAND) Makefiles\NmakeSubdirs.py cleanall $(LIBRARIES) $(APPLICATIONS)
  @if not defined PYTHON_COMMAND $(PYTHON_HOME)\python.exe Makefiles\NmakeSubdirs.py cleanall $(LIBRARIES) $(APPLICATIONS)
# Next line protects the libs pseudo target from inadvertent GNU make activity
  if exist libs RMDIR /S /Q libs

!INCLUDE Makefiles\ms.rule

=== src/os/nvm_api_sample/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 2.8.12)

project(ipmctl)

set(CMAKE_VERBOSE_MAKEFILE on)

add_executable(nvm_api_sample
	main.c)

target_include_directories(nvm_api_sample
	PRIVATE
	src/os/nvm_api/
	${OUTPUT_DIR}
)

target_link_libraries(nvm_api_sample
	ipmctl)

=== debian/changelog ===
ipmctl (03.00.00.0485-1) unstable; urgency=medium

  * New upstream release, a large branch switch.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 12 Jun 2023 16:06:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libndctl-dev,
                pkg-config,
                python3,
                asciidoctor
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/intel/ipmctl
 Vcs-Browser: https://github.com/kilobyte/ipmctl/tree/debian

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

EDK2_DIRS = BaseTools MdeModulePkg MdePkg ShellPkg

%:
	dh $@  

override_dh_auto_configure:
	for x in $(EDK2_DIRS);do ln -sf edk2/$$x $x;done
	dh_auto_configure -- \
	      -DBUILDNUM=`dpkg-parsechangelog -SVersion|cut -d+ -f1`

override_dh_clean:
	dh_clean
	rm -rf output
	rm -f $(EDK2_DIRS)
